
 
%global version 2.2.0

# determined by IB_API_VERSION in ./configure.ac
%global abi_ver 3:1:2


Name:           haildb
Version:        %{version} 
Release:        2%{?dist}
Summary:        A relational database in shared library form

Group:          Development/Libraries 
# Original source and contributions from Percona are GNU GPLv2.
# Additional contributions from Google and Sun Microsystems are BSD
License:        GPLv2 and BSD
URL:            http://haildb.com
Source0:        http://launchpad.net/haildb/2.x/2.2/+download/haildb-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel
Provides:       haildb(abi) = %{abi_ver}

%if 0%{?el5}
BuildRequires:  gcc44, gcc44-c++
%endif


%description
A relational database in shared library form. Not a SQL database, although 
you can use this library as the storage backend for a SQL database.

%package devel
Summary:        Development headers and libraries
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development headers and libraries for HailDB.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog README 
%doc COPYING COPYING.Google COPYING.Percona COPYING.Sun_Microsystems
%{_libdir}/libhaildb.so.*
%exclude %{_libdir}/libhaildb.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/haildb.h
%{_libdir}/libhaildb.so


%changelog
* Mon Oct 04 2010 BJ Dierkes <wdierkes@rackspace.com> - 2.2.0-2
- Fixed typo in Source0 URL

* Thu Sep 30 2010 BJ Dierkes <wdierkes@rackspace.com> - 2.2.0-1
- Latest sources from upstream.  Release notes can be found at:
  https://launchpad.net/haildb/+milestone/2.2
- BuildRequire: gcc44 gcc44-c++ (conditionally on el5)

* Fri Sep 24 2010 BJ Dierkes <wdierkes@rackspace.com> - 2.1.0-1
- Latest sources from upstream.  Release notes can be found at:
  https://launchpad.net/haildb/2.x/2.1 
- haildb(abi) version bumped to 3:0:1

* Tue Aug 03 2010 BJ Dierkes <wdierkes@rackspace.com> - 2.0.0-1
- Initial spec build

